import decimal


# establecer contexto actual
ctx = decimal.getcontext()
print('(1) Contexto actual\n', decimal.ExtendedContext)

# creación de decimales
print('\n(2) Creación de decimales')
d = decimal.Decimal(3)                  # clase Decimal() con un entero
print('Entero 3:', d)

d = decimal.Decimal('3.14')             # con una cadena
print('Cadena "3.14":', d)

d = decimal.Decimal(3.14)               # con un float
print('Float 3.14:', d)

d = decimal.Decimal.from_float(3.14)    # la función from_float()
print('Float 3.14:', d)

d = decimal.Decimal((0, (3, 1, 4), -2)) # con una tupla
print('Tupla (0, (3, 1, 4), -2):', d)

print('Representación 3.14 como tupla con nombre:',
      decimal.Decimal('3.14').as_tuple())

# conversión dentro de un bucle
print('\n(3) Creación de un grupo de decimales')
datos = list(map(decimal.Decimal, '1.230 4.56 -120 0.0 3.0 -4 -5.6'.split()))
print(datos)
for i, dato in enumerate(datos):
    print(i, dato)

# normalizar
print('Normalización')
for i, dato in enumerate(datos):
    print(i, ctx.normalize(dato))

# ajuste del contexto
print('\n(4) Ajuste de contexto')
ctx.prec = 3
ctx.rounding = decimal.ROUND_CEILING
d = decimal.Decimal('3.14')
print(f'{d} + 0.01 con precisión [{ctx.prec}] y redondeo:',
      d + decimal.Decimal('0.01'))
ctx.prec = 2
print(f'{d} + 0.01 con precisión [{ctx.prec}] y redondeo:',
      d + decimal.Decimal('0.01'))

# operaciones aritméticas 
print('\n(5) Operaciones aritméticas')
ctx.prec = 3                    # restaurar la precisión
a = decimal.Decimal(2)
print(f'{d} + {a}:', d + a)
print(f'{d} - {a}:', d - a)
print(f'{d} * {a}:', d * a)
print(f'{d} / {a}:', d / a)
print(f'{d} // {a}:', d // a)
print(f'{d} % {a}:', d % a)
print(f'{d} ** {a}:', d ** a)

# operaciones en punto flotante
print('\n(6) Punto flotante')
x = 1.2
y = 2.2
z = 3.4
xy = x + y
print("x:", x)
print("y:", y)
print("z:", z)
print("x+y:",xy)
print("x+y==z:",xy==z)

# operaciones con decimales
print('\nDecimales')
x=decimal.Decimal("1.2")
y=decimal.Decimal("2.2")
z=decimal.Decimal("3.4")
xy = x + y
print("x:", x)
print("y:", y)
print("z:", z)
print("x+y:",xy)
print("x+y==z:",xy==z)
