from decimal import *


# establecer contexto
setcontext(ExtendedContext)
print('Contexto actual es el contexto extendido\n', ExtendedContext)

# comparaciones
print('\nComparaciones')
a = Decimal(1)
b = Decimal(2)
print('_compare')
print(f'{a} < {b}      :', (a < b), a.compare(b))
print(f'{a} == {a}     :', (a == a), a.compare(a))
print(f'{b} > {a}      :', (b > a), b.compare(a))
c = Decimal(-2)
print(f'{a} < {c}     :', (a < c), a.compare(c))
print(f'{c} > {a}     :', (c > a), c.compare(a))
d = Decimal('1.30')
e = Decimal('1.3')
print('_compare_total')
print(f'{d} == {e}:', (d == e), d.compare_total(e))
print(f'{e} == {d}:', (e == d), e.compare_total(d))
print('_compare_total_mag')
print(f'{b} == {c}    :', (b == c), b.compare_total_mag(c))

# signos
print('\nCopia y signos')
a = Decimal('1')
b = Decimal('-2')
print('_copia absoluto')
c = b.copy_abs()
print(f'{b}.copy_abs():', c)
print('_copia signo invertido')
d = a.copy_negate()
print(f'{a}.copy_negate():', d)
print('_copia el signo')
e = a.copy_sign(b)
print(f'{a}.copy_sign({b}):', e)

# conversiones
print('\nConversiones')
a = Decimal('12345e4')
# la notación científica tiene un exponente que es múltiplo de 3
print(f'{a}.to_eng_string():', a.to_eng_string())

# redondeo
print('\nRedondeo')
a = Decimal(1.56)
print('_conversión a entero')
print(f'{a}.to_integral():', a.to_integral())
getcontext().traps[Rounded] = True      # activar trampa de redondeo
print('Activada trampa redondeo en el contexto\n', getcontext())
print('_conversión a entero exacto')
try:
    print(f'{a}.to_integral_exact():', a.to_integral_exact())
except:
    print('Capturado redondeo')
print('_conversión a valor entero')
print(f'{a}.to_integral_value():', a.to_integral_value())

# multiplicación y suma sin redondeo intermedio
# fused-multiply-add(a, b, c) es (a × b) + c con un único redondeo final
print('\nMultiplicación y suma sin redondeo intermedio')
getcontext().prec = 2
getcontext().traps[Rounded] = False     # cancelar trampa de redondeo
print('Cambio de precisión en el contexto\n', getcontext())
a = Decimal('1.5')
b = Decimal('1.5')
c = Decimal('1.05')
print(f'({a} * {b}) + {c}:', (a * b) + c)
print(f'{a}.fma({b}, {c}):', a.fma(b, c))
