from fractions import Fraction
from decimal import Decimal

# crear fracción con numerador y denominador
print('(1)')
print('Numerador y denominador')
f = Fraction(7, 4)
print('Fraction(7, 4):', f)
print('Numerador:', f.numerator)
print('Denominador:', f.denominator)

# error denominador cero
print('\n(2)')
try:
    f = Fraction(7, 0)
except:
    print('ZeroDivisionError en Fraction(7, 0)')

print('\n(3)')
f1 = Fraction(7, -4)
print('Fraction(7, -4):', f1)

f2 = Fraction(8, 4)
print('Fraction(8, 4):', f2)

f3 = Fraction(f1, f2)
print('Fraction(Fraction(7, -4), Fraction(8, 4)):', f3)

# crear fracción con número en punto flotante
print('\n(4)')
print('Número en punto flotante')
f = Fraction(22.5)
print('Fraction(22.5):', f)

f = Fraction(11.5)
print('Fraction(11.5):', f)

f = Fraction(0.33)
print('Fraction(0.33):', f)

# creación a partir de un valor decimal
print('\nNúmero decimal')
f = Fraction(Decimal('0.33'))
print("Fraction(Decimal('0.33')):", f)

f = Fraction(Decimal('0.25'))
print("Fraction(Decimal('0.25')):", f)

# creación a partir de una cadena
print('\nCadena')
f = Fraction('14/8')
print("Fraction('14/8'):", f)

f = Fraction('-14/8')
print("Fraction('-14/8'):", f)

# obtención de un valor aproximado
print('\n(5)')
print('Aproximaciones')
f = Fraction('3.14159265358979323846')
print("Fraction('3.14159265358979323846'):\n", f)
f_1000 = f.limit_denominator(1000)
f_100 = f.limit_denominator(100)
f_10 = f.limit_denominator(10)
print (f'Limite 1000: {f_1000} = {float(f_1000)}')
print (f'Limite 100: {f_100} = {float(f_100)}')
print (f'Limite 10: {f_10} = {float(f_10)}')

# redondeo
print('\n(6)')
print('Redondeo')
f = Fraction('23/3')
print("Fraction('23/3'):", f)
round_limit = round(f, 2)
print('Redondeado con límite:', round_limit)
round_nolimit = round(f)
print('Redondeado sin límite:', round_nolimit)
