from fractions import Fraction


# operaciones aritméticas con fracciones
print('Operaciones aritméticas')
a = Fraction(32, 5)
b = Fraction('14/8')
c = Fraction(0.5)
print(f'a: {a}, b: {b}, c: {c}')
# suma
d = a + b
print(f'\nSuma {a} + {b}:', d)
print(f'Suma {a} + {b} + 1:', d + 1)
# resta
d = a - b
print(f'\nResta {a} - {b}:', d)
print(f'Resta {a} - {b} - 2:', d - 2)
print(f'Resta {a} - {b} - 0.5:', d - 0.5)
print(f'Resta {a} - {b} - {c}:', d - c)
# multiplicación
d = a * b
print(f'\nMultiplicación {a} * {b}:', d)
print(f'Multiplicación {a} * {b} * 0.5:', d * 0.5)
print(f'Multiplicación {a} * {b} * {c}:', d * c)
# división
d = a / b
print(f'\nDivisión {a} / {b}:', d)
print(f'División {a} / {b} / 2:', d / 2)
# división entera
d = a // b
print(f'\nDivisión entera {a} // {b}:', d)
# módulo
d = a % b
print(f'\nMódulo {a} % {b}:', d)
# fracción mixta
cociente, resto = divmod(d.numerator, d.denominator)
print(f'Fracción mixta:', cociente, Fraction(resto, d.denominator))
# potencia
d = a ** 4
print(f'\nPotencia {a} ** 4:', d)
d = a ** b
print(f'Potencia {a} ** {b}:', d)


# operadores relacionales
print('\nOperadores relacionales')
print('Fraction(16, 4) == Fraction(32, 8):', Fraction(16, 4) == Fraction(32, 8))
print('Fraction(15, 3) > Fraction(24, 6):', Fraction(15, 3) > Fraction(24, 6))
print('Fraction(36, 9) < Fraction(24, 4):', Fraction(36, 9) < Fraction(24, 4))
print('Fraction(36, 9) != Fraction(24, 4):', Fraction(36, 9) != Fraction(24, 4))
print('Fraction(1, 4) != 0.25:', Fraction(1, 4) != 0.25)

# ordenar series de fracciones
print('\nOrdenar series de fracciones')
serie = [Fraction(3, 5), Fraction(5, 11), Fraction(9, 16)]
print('Serie:', serie)
orden = sorted(serie)
print('Orden ascendente:', orden)
reverse = sorted(serie, reverse=True)
print('Orden descendente:', reverse)

