import math


# conversión a enteros
print('Conversión a enteros')
print('Valor  entero  trunca   techo  suelo')
TEST = [-5.3, -1.5, -0.2, 0.2, 1.5, 5.3]
for x in TEST:
    i = int(x)
    t = math.trunc(x)
    c = math.ceil(x)
    f = math.floor(x)
    print(f'{x:>+5.2f}  {i:>6d}  {t:>6d}  {c:>6d} {f:>6d}')

# compración de números
print('\nComparación isclose(5.999, 6)')
print('Comparación sin tolerancia:', math.isclose(5.999, 6))
print('Comparación tolerancia relativa:', math.isclose(5.999, 6, rel_tol=0.1))
print('\nComparación isclose(1, 1.00001)')
print('Comparación sin tolerancia:', math.isclose(1, 1.00001))
print('Comparación tolerancia absoluta:', math.isclose(1, 1.00001, abs_tol=1e-4))

# minimizar errores en operaciones repetitivas
print('\nMinimizar errores en suma')
TEST = [.1] * 10
print('Valores:', TEST)
n = sum(TEST)
print(f'Con sum: {n}')
m = math.fsum(TEST)
print(f'Con fsum: {m}')

# módulo de la división (ojo con el signo)
print('\nMódulo de la división')
TEST = [(5, 2), (5, -2), (-5, 2)]
print(f'{"x":>4s}  {"y":>4s}{"%":>7s} {"fmod":>7s}')
for x, y in TEST:
    modulo = x % y
    fmodulo = math.fmod(x, y)
    print(f'{x:4.1f}  {y:4.1f}  {modulo:5.2f}   {fmodulo:5.2f}')

# máximo común divisor
mcd = math.gcd(10,125)
print(f'\nMCD(10,125): {mcd}')
# mínimo común múliplo
mcm = math.lcm(10,125)
print(f'MCM(10,125): {mcm}')

# factorial
print('\nFactorial')
for i in range(6):
    print(f'{i}! :', math.factorial(i))

# gamma y lgamma
print(f'\nValor{"gamma":>22s}{"lgamma":>22s}{"logaritmo":>22s}')
for i in range(1, 6):
    x = i * 1.1
    g = math.gamma(x)
    lg = math.lgamma(x)
    logg = math.log(math.gamma(x))
    print(f'{x:>5.2f}  {g:>20.17f}  {lg:>20.17f}  {logg:>20.17f}')

# partes fraccionaria y entera
print(f'\nValor{" ":22s}Partes fraccionaria y entera')
for i in range(7):
    x = i / 3.0
    print(f'{i}/3 :{x:>20.17f} ', math.modf(x))

