import math


TEST = [(3, 2), (4, 0), (16, 1), (9, 0.5)]

# exponenciación
print('Potencias')
print(f'{"x":>5s} {"y":>5s}{"**":>7s} {"pow":>7s}')
for x, y in TEST:
    xy = x ** y
    xypow = math.pow(x, y)
    print(f'{x:5.2f}**{y:4.2f} {xy:6.3f}  {xy:6.3f}')

print('\nPotencias de e')
print(f'{"x":>5s} {"exp":>8s} {"pow":>8s} {"expml":>8s} {"exp - 1":>8s}')
for x in range(1, 6):
    ex = math.exp(x)
    expw = math.pow(math.e, x)
    exp1 = math.expm1(x)
    expsub = math.exp(x) - 1
    print(f'{x:5.3f}  {ex:7.3f}  {expw:7.3f}  {exp1:7.3f}  {expsub:7.3f}')

# raíces
print('\nRaíces')
print(f'{"x":>5s} {"sqrt":>6s} {"pow":>6s}')
for x, _ in TEST:
    y = math.sqrt(x)
    z = math.pow(x, 0.5)
    print(f'{x:5.2f} {y:6.3f} {z:6.3f}')


# logaritmos
print('\nLogaritmos')
print(f'{"x":>5s} {"log":>6s} {"log1p":>6s} {"log 2":>6s} {"log2":>6s} ',
      f'{"log 10":>6s} {"log10":>6s}')
for i in range(1, 6):
    lge = math.log(i)
    lg1p = math.log1p(i)
    lg2 = math.log(i, 2)
    log2 = math.log2(i)
    lg10 = math.log(i, 10)
    log10 = math.log10(i)
    print(f'{i:5.3f}  {lge:5.3f}  {lg1p:5.3f} ',
          f'{lg2:5.3f}  {log2:5.3f}  ',
          f'{lg10:5.3f}  {log10:5.3f}')

# logaritmos de números cercanos a cero
print('\nLogaritmos de números cercanos a 0')
print('log(0.0000025)     ', math.log(0.0000025))
print('log1p(0.0000025)   ', math.log1p(0.0000025))
print('log(1.0000025)     ', math.log(1.0000025))
print('log(0.0000000025)  ', math.log(0.0000000025))
print('log1p(0.0000000025)', math.log1p(0.0000000025))
print('log(1.0000000025)  ', math.log(1.0000000025))

