import math


# conversión grados en radianes
# radianes = grados * PI / 180
print('Grados a radianes')
print(f'{"grados":>5s}{"radianes":>9s}{"grados":>8s}')
for grados in range(0, 361, 30):
    radianes = math.radians(grados)
    grados2 = math.degrees(radianes)
    print(f'{grados:4d}    {radianes:7.5f}   {grados2:3.0f}')

# valores en el primer cuadrante
print('\nTrigonometría')
print(f'{"grados":>5s}{"radianes":>9s}',
      f'{"seno":>8s} {"coseno":>8s}  {"tangente":>8s}')
for grados in [0, 30, 45, 60, 90]:
    radianes = math.radians(grados)
    seno = math.sin(radianes)
    coseno = math.cos(radianes)
    # tangente de 90 grados (PI/2) no está definida
    if grados == 90:
        tangente = math.inf
    else:
        tangente = math.tan(radianes)
    print(f'{grados:4d}    {radianes:7.5f} ',
          f'{seno:7.5f}  {coseno:7.5f}   {tangente:7.5f}')

# funciones trigonométricas inversas
print('\nFunciones trigonométricas inversas')
print(f'{"radianes":>5s}',
      f'{"arcoseno":>8s} {"arcocoseno":>8s} {"arcotangente":>8s}')
for radianes in [0., .25, .5, .75, 1.]:
    aseno = math.asin(radianes)
    acoseno = math.acos(radianes)
    atangente = math.atan(radianes)
    print(f' {radianes:7.5f} ',
          f'{aseno:7.5f}   {acoseno:7.5f}      {atangente:7.5f}')

# funciones hiperbólicas
print('\nFunciones hiperbólicas')
print(f'{"grados":>5s}{"radianes":>9s}',
      f'{"senoh":>8s} {"cosenoh":>8s}  {"tangenteh":>8s}')
for grados in [0, 30, 45, 60, 90]:
    radianes = math.radians(grados)
    senoh = math.sinh(radianes)
    cosenoh = math.cosh(radianes)
    tangenteh = math.tanh(radianes)
    print(f'{grados:4d}    {radianes:7.5f} ',
          f'{senoh:7.5f}  {cosenoh:7.5f}   {tangenteh:7.5f}')

# cálculo hipotenusa
print('\nCálculo de la hipotenusa')
TEST = [(1, 1), (3, 4), (math.pi/4, math.pi/4)]
print(f'{"x":>5s} {"y":>5s}{"hipotenusa":>12s}')
for x, y in TEST:
    h = math.hypot(x, y)
    print(f'{x:5.3f} {y:5.3f}     {h:7.5f}')

# distancia entre dos puntos
print('\nCálculo de la distancia entre dos puntos')
TEST = [((0, 0), (3, 4)), ((0, 3), (4, 0)),
        ((-3, -4), (0, 0)), ((1, 1), (0, 0))]
print(f'{"punto1":>8s}  {"punto2":>8s}{"hypot":>9s}{"dist":>9s}')
for (x1, y1), (x2, y2) in TEST:
    x = x1 - x2
    y = y1 - y2
    h = math.hypot(x, y)
    d = math.dist((x1, y1), (x2, y2))
    print(f'({x1:3d},{y1:3d}) ({x2:3d},{y2:3d}) {h:7.5f}  {d:7.5f}')
