import matplotlib.pyplot as plt
import math

# creación de los valores a visualizar
grados = [i for i in range (-360, 361, 10)]
seno = [math.sin(math.radians(i)) for i in grados]

fig, ax = plt.subplots()

# invisibilizar lomos superior y derecho 
ax.spines['top'].set_color('none')
ax.spines['right'].set_color('none')

# mover lomo inferior a la posición y=0
ax.xaxis.set_ticks_position('bottom')
ax.spines['bottom'].set_position(('data',0))

# mover lomo izquierdo a la posición x=0
ax.yaxis.set_ticks_position('left')
ax.spines['left'].set_position(('data',0))

# establecer marcas en los ejes
ax.set_xticks([-360, -270, -180, -90, 0, 90, 180, 270, 360])
ax.set_yticks([-1, -0.5, 0, +0.5, 1])

# proporcionar etiquetas para las marcas del eje X
ax.set_xticklabels([r'$-2\pi$', r'$-\frac{3\pi}{2}$', r'$-\pi$', 
                    r'$-\frac{\pi}{2}$', '0', r'$\frac{\pi}{2}$', 
                    r'$+\pi$', r'$\frac{3\pi}{2}$', r'$+2\pi$'])

# dibujar el gráfico
ax.plot(grados, seno)

# mostar el gráfico
plt.show()

