import matplotlib.pyplot as plt
import math


# estilo de texto
font = {'family': 'arial',
        'color':  'darkblue',
        'weight': 'medium',
        'size': 10,
        }

# creación de los valores a visualizar
grados = [i for i in range (-360, 361, 10)]
seno = [math.sin(math.radians(i)) for i in grados]

fig, ax = plt.subplots()

# establecer titulo y subtitulo del gráfico
titulo = fig.suptitle('Función Seno')
titulo.set_fontweight('bold')
subtitulo = ax.set_title('De -360 a +360 grados')
subtitulo.set_color('red')
subtitulo.set_style('italic')

# etiquetas para los ejes
ax.set_xlabel('Valores de ángulos')
ax.xaxis.labelpad = 10
ax.set_ylabel('Valores de la función', fontdict=font)

# dibujar el gráfico
ax.plot(grados, seno)

# mostar el gráfico
plt.show()

