import matplotlib.pyplot as plt
import math


# creación de los valores a visualizar
grados = [i for i in range (0, 361, 10)]
seno = [math.sin(math.radians(i)) for i in grados]
coseno = [math.cos(math.radians(i)) for i in grados]

fig, ax = plt.subplots()

# dibujar dos gráficos en la misma área de dibujo
linea_sen, = ax.plot(grados, seno)
linea_cos, = ax.plot(grados, coseno, '--r')

# indicar manejadores de líneas y leyendas
# con la mejor posición
ax.legend((linea_sen, linea_cos), ('Seno', 'Coseno'), ncols=2, loc='best')

# mostar el gráfico
plt.show()
