import matplotlib.pyplot as plt
import math


# creación de los valores a visualizar
grados = [i for i in range (0, 361, 10)]
seno = [math.sin(math.radians(i)) for i in grados]

fig, ax = plt.subplots()

# dibujar gráfico
ax.plot(grados, seno, label='Seno')

# anotar máximo y mínimo
maximo = (90, 1.0)
minimo = (270, -1.0)
ax.annotate('máximo', maximo,
            xytext=(50, 0.60),
            arrowprops=dict(facecolor='cyan', width=2, headwidth=6))
ax.annotate('mínimo', minimo,
            xytext=(250, -0.65),
            arrowprops=dict(facecolor='red', width=2, headwidth=6))

# anotar ceros
ceros = [0, 180, 360]
for cero in ceros:
    ax.annotate('ceros', (cero, 0),
                xytext=(75, -0.25),
                arrowprops=dict(arrowstyle='->', color='magenta',
                                connectionstyle='angle3,angleA=0,angleB=-90'),
                bbox=dict(boxstyle='round4,pad=.3', fc='white', color='grey'))

# añadir texto sobre el gráfico
plt.text(250, 0.60, 'tipos de\nflechas en\nel gráfico', size=10,
         bbox=dict(boxstyle='circle',
                   fc='wheat', alpha=0.3, color='black'))
         
# mostar el gráfico
plt.show()
