import matplotlib.pyplot as plt
import matplotlib.ticker as ticker
import math


# creación de los valores a visualizar
grados = [i for i in range (-360, 361, 10)]
seno = [math.sin(math.radians(i)) for i in grados]

fig, ax = plt.subplots()

# establecer marcas en los ejes
# marcas mayores
ax.xaxis.set_major_locator(plt.MultipleLocator(360 / 4))
ax.yaxis.set_major_locator(plt.MultipleLocator(1.0 / 4))
# marcas menores
ax.xaxis.set_minor_locator(plt.MultipleLocator(360 / 8))
ax.yaxis.set_minor_locator(ticker.AutoMinorLocator())

# mostrar etiquetas menores en el eje X
ax.xaxis.set_minor_formatter(ticker.FormatStrFormatter("%d"))
ax.tick_params(which='minor', labelsize=6, labelrotation = 50, labelcolor='red')

# dibujar la rejilla
# eje X
ax.grid(which='major', axis='x',
        linewidth=0.8, linestyle='-')
ax.grid(which='minor', axis='x',
        linewidth=0.5, linestyle='--', color= 'red')
# eje Y
ax.grid(which='major', axis='y',
        linewidth=1, linestyle='-', color='0.65')
ax.grid(which='minor', axis='y',
        linewidth=0.5, linestyle='-', color='0.75')

# dibujar el gráfico
ax.plot(grados, seno)

# mostar el gráfico
plt.show()

