import matplotlib.pyplot as plt
import math


# creación de los valores a visualizar
grados = [i for i in range (0, 361, 10)]
seno = [math.sin(math.radians(i)) for i in grados]
coseno = [math.cos(math.radians(i)) for i in grados]

# establecer 2x3 cuadros (axes)
rows = 2
cols = 3
fig, axs = plt.subplots(rows, cols, sharex='col', sharey='row')

# establecer título para el gráfico
fig.suptitle('Subgráficos', fontweight='bold')

# usar índices
for row in range(rows):
    for col in range(cols):
        # título de cada gráfico
        axs[row, col].set_title(str((row, col)), color='red')

# iterar sobre los ejes
for row in axs:
    for col in row:
        # color de fondo
        col.set_facecolor('linen')

# dibujar en cada cuadro
# por sus posición sobre la rejilla
axs[0, 0].plot(grados, seno)
axs[0, 1].plot(grados, coseno)
axs[0, 2].plot(grados, seno, grados, coseno)
axs[1, 0].plot(grados, seno)
axs[1, 1].plot(grados, coseno)
axs[1, 2].plot(grados, seno, grados, coseno)

# mostar el gráfico
plt.show()
