import matplotlib.pyplot as plt
import math


# creación de los valores a visualizar
grados = [i for i in range (0, 361, 10)]
seno = [math.sin(math.radians(i)) for i in grados]

# dibujar el gráfico
plt.plot(grados, seno)

# obtener los ejes
axs = plt.gca()

# definir relación de aspecto a 1 (cuadrado)
relacion = 1.0
x_left, x_right = axs.get_xlim()    # límites del eje X en coordenadas de datos
y_low, y_high = axs.get_ylim()      # límites del eje Y en coordenadas de datos
aspecto = abs((x_left-x_right)/(y_low-y_high))*relacion
axs.set_aspect(aspecto)

# título
axs.set_title(f'Relación de aspecto\n{aspecto}',
              color='red')

# etiquetas para los ejes
axs.set_xlabel(f'Límites del eje X: ({x_left}, {x_right})',
               color='red')
axs.set_ylabel(f'Límites del eje Y: ({y_low}, {y_high})',
               color='red')

# mostar el gráfico
plt.show()

