import matplotlib.pyplot as plt
import math


# establecer proporciones en el cuadro
# valores relación
# 1  eje Y == eje X
# >1 eje Y > eje X
# <1 eje Y < eje X
def aspecto(ejes, relacion=1.0):
    x_left, x_right = ejes.get_xlim()
    y_low, y_high = ejes.get_ylim()
    ejes.set_aspect(abs((x_left-x_right)/(y_low-y_high))*relacion)


# creación de los valores a visualizar
grados = [i for i in range (0, 361, 10)]
seno = [math.sin(math.radians(i)) for i in grados]

# crear cuatro cuadros
fig, axs = plt.subplots(2, 2)

# dibujar los gráficos
axs[0, 0].plot(grados, seno)
axs[0, 1].plot(grados, seno)
axs[1, 0].plot(grados, seno)
axs[1, 1].plot(grados, seno)

# relación de proporciones
# proporción axs[0, 0] según matplotlib
aspecto(axs[0, 1], 1.0)     # cuadrado
aspecto(axs[1, 0], 2.0)     # eje Y mayor
aspecto(axs[1, 1], 0.25)    # eje Y menor

# títulos en los cuadros
axs[0, 0].set_title('Matplotlib', color='red')
axs[0, 1].set_title('Cuadrado', color='red')
axs[1, 0].set_title('Eje Y mayor', color='red', y=0.95)
axs[1, 1].set_title('Eje Y menor', color='red')

# mostar el gráfico
plt.show()

