import matplotlib.pyplot as plt
#from matplotlib.ticker import FixedLocator
import math


# creación de los valores a visualizar
grados = [i for i in range (0, 361, 10)]
seno = [math.sin(math.radians(i)) for i in grados]


# establecer área de trabajo
fig, ax = plt.subplots()

# dibujar en el cuadro
ax.plot(grados, seno)

# crear un área de trabajo nueva
# dentro de la existente
# según coordenadas y tamaño
left, bottom, width, height = [0.55, 0.65, 0.4, 0.3]
axins = ax.inset_axes([left, bottom, width, height])

# dibujar en el cuadro interior
axins.plot(grados, seno)

# ajustar límites de visualización
left, right, bottom, top = [240, 300, -1.0, -0.75]
axins.set_xlim(left, right)
axins.set_ylim(bottom, top)

# etiquetas en las marcas los ejes X e Y
axins.set_xticks([240, 260, 280, 300])
axins.set_yticks([-1.0, -0.87, -0.75])

#axins.xaxis.set_major_locator(FixedLocator([240, 260, 280, 300]))
#axins.yaxis.set_major_locator(FixedLocator([-1.0, -0.87, -0.75]))

# añadir rectángulo indicador y líneas de conexión 
ax.indicate_inset_zoom(axins, edgecolor="red")

plt.show()
