import matplotlib.pyplot as plt


# relación de valores a visualizar
# cada tupla (num alumnos, altura)
alumnos_altura = [(2, 140), (5, 145), (15, 151), (31, 157), (46, 163),
                  (53, 168), (45, 173), (28, 179), (21, 185), (4, 190)]
num = [n for n, _ in alumnos_altura]        # número de alumnos
alt = [a for _, a in alumnos_altura]        # alturas
alts = [[a]*n for n, a in alumnos_altura]   # tantas alturas como alumnos
alturas = [altura for sublist in alts for altura in sublist]    # aplanar

# dibujar los valores
n, bins, patches = plt.hist(alturas, bins=8,
                            edgecolor='w', linewidth=1, alpha=0.5)

# etiquetas en las marcas del eje X
xticks = [(bins[i+1] + value)/2 for i, value in enumerate(bins[:-1])]
xticks_labels = [f'{value:.2f}\na\n{bins[i+1]:.2f}'
                 for i, value in enumerate(bins[:-1])]
plt.xticks(xticks, xticks_labels)    # valores

# valores en las barras
for i, value in enumerate(n):
    if value > 0:
        plt.text(xticks[i], value-3, int(value), ha='center')
        
# eliminar margenes (ajustar al cuadro)
plt.margins(0)

# poner título
plt.title('Alturas del alumnado',
          fontdict={'style':'italic', 'color':'red'})

# mostrar el gráfico
plt.show()
