import matplotlib.pyplot as plt


# relación de valores a visualizar
datos = {'Andalucía': (8472407, 4173339, 4299068),
         'Aragón': (1326261, 655248, 671013),
         'Asturias': (1011792, 482665, 529127),
         'Balears': (1173008, 584853, 588155),
         'Canarias': (2172944, 1074180, 1098764),
         'Cantabria': (584507, 283378, 301129),
         'Castilla - La Mancha': (2049562, 1026128, 1023434),
         'Castilla y León': (2383139, 1173114, 1210025),
         'Cataluña': (7763362, 3819831, 3943531),
         'Extremadura': (1059501, 523976, 535525),
         'Galicia': (2695645, 1297301, 1398344),
         'Madrid': (6751251, 3229700, 3521551),
         'Murcia': (1518486, 760362, 758124),
         'Navarra': (661537, 327465, 334072),
         'País Vasco': (2213993, 1076385, 1137608),
         'Rioja': (319796, 157823, 161973),
         'Valencia': (5058138, 2491394, 2566744)}
comunidad = [k for k in datos]
poblacion = [t for t, h, m in datos.values()]
hombres = [h for t, h, m in datos.values()]
mujeres = [m for t, h, m in datos.values()]

fig = plt.figure(constrained_layout=True)

# tamaño de cada barra
width = 0.45

# posición
x1 = [i for i in range(len(comunidad))]
x2 = [i+width for i in range(len(comunidad))]

# dibujar los valores
plt.bar(x1, hombres, width, label='Hombres', alpha=0.75)
plt.bar(x2, mujeres, width, label='Mujeres', alpha=0.75)

# poner etiquetas y rotar texto en marcas eje X
plt.xticks(x1, comunidad, rotation=45, ha='right')

# añadir título
plt.title('Población por comunidades (en miles)',
          fontdict={'style':'italic', 'color':'red'})

# visualizar leyenda
plt.legend()

# mostrar el gráfico
plt.show()
