import matplotlib.pyplot as plt


# relación de valores a visualizar
datos = {'Andalucía': (8472407, 4173339, 4299068),
         'Aragón': (1326261, 655248, 671013),
         'Asturias': (1011792, 482665, 529127),
         'Balears': (1173008, 584853, 588155),
         'Canarias': (2172944, 1074180, 1098764),
         'Cantabria': (584507, 283378, 301129),
         'Castilla - La Mancha': (2049562, 1026128, 1023434),
         'Castilla y León': (2383139, 1173114, 1210025),
         'Cataluña': (7763362, 3819831, 3943531),
         'Extremadura': (1059501, 523976, 535525),
         'Galicia': (2695645, 1297301, 1398344),
         'Madrid': (6751251, 3229700, 3521551),
         'Murcia': (1518486, 760362, 758124),
         'Navarra': (661537, 327465, 334072),
         'País Vasco': (2213993, 1076385, 1137608),
         'Rioja': (319796, 157823, 161973),
         'Valencia': (5058138, 2491394, 2566744)}
comunidad = [k for k in datos]
poblacion = [t for t, h, m in datos.values()]
hombres = [h for t, h, m in datos.values()]
mujeres = [m for t, h, m in datos.values()]

fig = plt.figure(constrained_layout=True)

# dibujar los valores
bars = plt.barh(comunidad, poblacion, alpha=0.75)

# invertir valores eje Y
# por defecto van de 0->max, de abajo arriba
plt.gca().invert_yaxis()

# colocar texto en el lugar deseado
for bar in bars:
    h = bar.get_width()//1000
    y = bar.get_y() + bar.get_height()/2
    x = bar.get_width() - 2
    plt.gca().text(x, y, h,
                   va='center', fontdict={'size':'8', 'color':'red'})
##for i in range(len(comunidad)):
##    plt.text(poblacion[i], i-0.25, poblacion[i]//1000,
##             fontdict={'size':'8', 'color':'red'})

# poner título
plt.title('Población por comunidades (en miles)',
          fontdict={'style':'italic', 'color':'red'})

# mostrar el gráfico
plt.show()
