import matplotlib.pyplot as plt


# colocar texto en el lugar deseado
# plot, barras, altura Y, color
def set_text(plt, bars, prev_y, c):
    local_y = []    # posiciones eje Y para las siguientes barras
    for i, bar in enumerate(bars):
        h = bar.get_height() // 1000                # altura como texto
        x = bar.get_x() + bar.get_width()/2         # posición eje X
        y = (bar.get_height() + prev_y[i]) * 1.005  # posición eje Y
        # trazar texto
        plt.gca().text(x, y, h,
                       ha='center', fontdict={'size':'8', 'color':c})
        # guardar posición eje Y de la nueva barra
        local_y.append(y)
    return local_y      # devolver posiciones eje Y para siguientes llamadas

# relación de valores a visualizar
datos = {'Andalucía':(8472407, 4173339, 4299068),
         'Aragón':(1326261, 655248, 671013),
         'Asturias':(1011792, 482665, 529127),
         'Balears':(1173008, 584853, 588155),
         'Canarias':(2172944, 1074180, 1098764),
         'Cantabria':(584507, 283378, 301129),
         'Castilla y León':(2383139, 1173114, 1210025),
         'Castilla - La Mancha':(2049562, 1026128, 1023434),
         'Cataluña':(7763362, 3819831, 3943531),
         'Valencia':(5058138, 2491394, 2566744),
         'Extremadura':(1059501, 523976, 535525),
         'Galicia':(2695645, 1297301, 1398344),
         'Madrid':(6751251, 3229700, 3521551),
         'Murcia':(1518486, 760362, 758124),
         'Navarra':(661537, 327465, 334072),
         'País Vasco':(2213993, 1076385, 1137608),
         'Rioja':(319796, 157823, 161973)}
         #'Ceuta':(83517, 42208, 41309), 'Melilla':(86261, 43603, 42658)}
comunidad = [k for k in datos]
poblacion = [t for t, h, m in datos.values()]
hombres = [h for t, h, m in datos.values()]
mujeres = [m for t, h, m in datos.values()]

fig = plt.figure(constrained_layout=True)

# dibujar los valores
# primera columna
bars = plt.bar(comunidad, hombres, label='Hombres', alpha=0.75)
y = set_text(plt, bars, [0]*len(bars), 'b')     # poner texto con los valores
# segunda columna sobre la primera
bars = plt.bar(comunidad, mujeres, bottom=hombres, label='Mujeres', alpha=0.75)
set_text(plt, bars, y, 'r')                     # poner texto con los valores

# rotar etiquetas en marcas eje X
plt.xticks(rotation=45, ha='right')

# poner título
plt.title('Población por comunidades (en miles)',
          fontdict={'style':'italic', 'color':'red'})

# poner leyenda
plt.legend()

# mostrar el gráfico
plt.show()
