import matplotlib.pyplot as plt


# relación de valores a visualizar
# edad población(hombres, mujeres)
datos = {1:(177505, 167842), 10:(250043, 234700), 20:(255050, 237611),
         30:(270478, 264467), 40:(339964, 345742), 50:(386574, 384214),
         60:(316785, 332447), 70:(221201, 248450), 80:(122524, 162634),
         90:(46560, 91342 ), 100:(3081, 11887)} 
edad = [e for e in datos]
poblacion = [(h+m)//1000 for h, m in datos.values()]
hombres = [h//1000 for h, m in datos.values()]
mujeres = [m//1000 for h, m in datos.values()]

# crear dos cuadros
fig, axs = plt.subplots(ncols=2, sharey=True)

# dibujar los valores
axs[0].barh(edad, hombres, height=7, color='b', alpha=0.75)
axs[1].barh(edad, mujeres, height=7, color='r', alpha=0.75)

# invertir las marcas del eje X para el primer cuadro
axs[0].invert_xaxis()

# ajustar subplots
plt.subplots_adjust(wspace=0, top=0.85, bottom=0.1, left=0.18, right=0.95)

# marcas y etiquetas para los ejes
axs[0].set(yticks=edad, yticklabels=edad)
axs[0].yaxis.tick_left()
axs[0].tick_params(axis='y')

# cuadrícula en el eje Y
axs[0].grid(which='major', axis='y',
            linestyle='--', color='grey', alpha=0.8)
axs[1].grid(which='major', axis='y',
            linestyle='--', color='grey', alpha=0.8)

# poner título general y en cada cuadro
fig.suptitle('Pirámide poblacional (en miles)',
          fontdict={'style':'italic', 'color':'red'})
axs[0].set_title('Hombres')
axs[1].set_title('Mujeres')

# mostrar el gráfico
plt.show()
