import matplotlib.pyplot as plt


# relación de valores a visualizar
# temperaturas mes:(máxima, mínima) 
temperaturas = {1:(13.69,-2.45), 2:(17.04,0.34), 3:(14.7,5.52),
                4:(18.9,5.39), 5:(28.62,11.04), 6:(32.94,14.97),
                7:(38.18,19.19), 8:(36.1,18.86), 9:(29.45,14.18),
                10:(26.61,12.35), 11:(17.4,5.928), 12:(14.16,5.2)}
mes = [m for m in temperaturas]                 # meses  
maxt = [m for m, _ in temperaturas.values()]    # máximas
mint = [m for _, m in temperaturas.values()]    # mínimas

# dibujar los valores
plt.plot(mes, maxt, marker='^', label='Máximas',
         color='r', alpha=0.5)
plt.plot(mes, mint, marker='*', label='Mínimas',
         color='b', alpha=0.5)

# marcas en eje X
plt.xticks(mes)

# etiquetas para los ejes
plt.xlabel('Meses')
plt.ylabel(u'Temperaturas (\u00B0C)')

# cuadrícula en los ejes X e Y
plt.grid(which='major', axis='both',
         linestyle='--', color='grey', alpha=0.8)

# poner título general
plt.title('Temperaturas en el año por meses',
          fontdict={'style':'italic', 'color':'red'})

# poner leyenda
plt.legend()

# mostrar el gráfico
plt.show()
