import matplotlib.pyplot as plt


# relación de valores a visualizar
# produccion toneladas año:(Naranjo, Mandarino, Limonero)
datos = {2019: (3340564, 1893597, 938420),
         2018:(3906740, 2398289, 1122508),
         2017:(3342418, 1966685, 916932),
         2016:(3660726, 2381740, 948106),
         2015:(3084862, 2018422, 769170),
         2014:(3481516, 2389561, 1082592)}
annum = [a for a in datos]
na = [t//1000 for t, _, _ in datos.values()]
ma = [t//1000 for _, t, _ in datos.values()]
li = [t//1000 for _, _, t in datos.values()]
# valores para etiquetas y colores
citricos = ['Naranjo', 'Mandarino', 'Limonero']
colores = ['darkorange', 'red', 'yellow']

fig = plt.figure(constrained_layout=True)

# dibujar los valores
plt.stackplot(annum, na, ma, li,
              labels=citricos,
              colors=colores, alpha = 0.65)

# rotar etiquetas en marcas eje X
plt.xticks(annum, rotation=45, ha='right')

# cuadrícula en los ejes X e Y
plt.grid(which='major', axis='both',
         linestyle='--', color='grey', alpha=0.8)

# poner título
plt.title('Producción cítricos (en miles)',
          fontdict={'style':'italic', 'color':'red'})

# poner leyenda
plt.legend(loc='upper left', ncol=3)

# mostrar el gráfico
plt.show()
