import matplotlib.pyplot as plt


# relación de valores a visualizar
# cada tupla (num. alumnos, altura)
alumnos_altura = [(2, 140), (5, 145), (15, 151), (31, 157), (46, 163),
                  (53, 168), (45, 173), (28, 179), (21, 185), (4, 190)]
num = [n for n, _ in alumnos_altura]        # número de alumnos
alt = [a for _, a in alumnos_altura]        # alturas
alts = [[a]*n for n, a in alumnos_altura]   # tantas alturas como alumnos
alturas = [altura for sublist in alts for altura in sublist]    # aplanar

# establecer margen de error
err = [(n/a)*10 for n, a in alumnos_altura]

# dibujar los valores
plt.bar(alt, num, width=4, alpha=0.5)

# añadir marcas de error eje Y
plt.errorbar(alt, num, yerr=err,
             fmt="o", color="r")

# marcas en el eje X
plt.xticks(alt)

# mostrar el gráfico
plt.show()
