import matplotlib.pyplot as plt
from matplotlib.animation import FuncAnimation, PillowWriter 
import math


# función de inicialización de la figura
def init():
    # lista de imágenes vacía
    trazo.set_data([], [])
    return trazo,

# función para crear cada fotograma
def animate(i):
    # trazar un único valor
    trazo.set_data(i, math.sin(math.radians(i)))
    return trazo,


# creación de los valores a visualizar
grados = [i for i in range (0, 361, 10)]
seno = [math.sin(math.radians(i)) for i in grados]

# establecer el área de trabajo
fig = plt.figure()
# marcas en los ejes X e Y
axs = plt.axes(xlim=(0, 360), ylim=(-1, 1))

# dibujar el gráfico
axs.plot(grados, seno)

# dibujar el primer trazo de la animación
# trazo: lista que representa los datos trazados (líneas o marcas)
trazo, = axs.plot([0], [0], 'ro')

# animar el gráfico
anim = FuncAnimation(fig, animate, init_func=init,
                     frames=361, interval=20,
                     blit=True, repeat=True)

# mostrar el gráfico
plt.show()

##anim.save(r'c:\TestPython\matematicas\matplotlib\sine_wave.gif',
##          writer='imagemagick', fps=30)

# guardar el gráfico animado
file = r'c:\TestPython\matematicas\matplotlib\sine_wave_04_01.gif'
writergif = PillowWriter(fps=30)    # método para guardar bajo Windows
anim.save(file, writer=writergif)
plt.close()
