import matplotlib.pyplot as plt
from matplotlib.animation import FuncAnimation, PillowWriter
import math


# función para crear cada fotograma
def animate(i):
    # generar una serie de valores y trazarlos
    x = [n for n in range (0, i, 10)]
    y = [math.sin(math.radians(n)) for n in x]
    trazo.set_data(x, y)
    return trazo,


# creación de los valores a visualizar
grados = [i for i in range (0, 361, 10)]
seno = [math.sin(math.radians(i)) for i in grados]

# establecer el área de trabajo
fig = plt.figure()
# marcas en los ejes X e Y
axs = plt.axes(xlim=(0, 360), ylim=(-1, 1))

# dibujar el gráfico
axs.plot(grados, seno)

# dibujar el primer trazo de la animación
# trazo: lista que representa los datos trazados (líneas o marcas)
trazo, = axs.plot([0], [0], 'ro')

# animar el gráfico
anim = FuncAnimation(fig, animate,
                     frames=362, interval=20,
                     blit=True, repeat=False)

# mostrar el gráfico
plt.show()

# guardar el gráfico animado
file = r'c:\TestPython\matematicas\matplotlib\sine_wave_04_02.gif'
writergif = PillowWriter(fps=30)
anim.save(file, writer=writergif)
plt.close()
