import matplotlib.pyplot as plt
from matplotlib.animation import FuncAnimation, PillowWriter
import math


def animate(i):
    # generar un valor y trazarlo
    x.append(i)
    y.append(math.sin(math.radians(i)))
    trazo.set_data(x, y)
    return trazo,


# establecer el área de trabajo
fig = plt.figure()
# marcas en los ejes X e Y
axs = plt.axes(xlim=(0, 360), ylim=(-1, 1))

# valores a trazar
x, y = [], []

# dibujar el primer trazo de la animación
# trazo: lista que representa los datos trazados (líneas o marcas)
trazo, = axs.plot(x, y)

# animar el gráfico
anim = FuncAnimation(fig, animate,
                     frames=361, interval=20,
                     blit=True, repeat=False)

# mostrar el gráfico
plt.show()

# guardar el gráfico animado
file = r'c:\TestPython\matematicas\matplotlib\sine_wave_04_03.gif'
writergif = PillowWriter(fps=30)
anim.save(file, writer=writergif)
plt.close()
