import matplotlib.pyplot as plt
from matplotlib.animation import FuncAnimation, PillowWriter
import math


# función para crear cada fotograma
def animate(i):
    # generar un valor y acumularlo
    x1.append(i*10)
    y1.append(math.sin(math.radians(i*10)))
    y2.append(math.cos(math.radians(i*10)))
    # trazar el gráfico
    plt.plot(x1, y1, 'b')
    plt.plot(x1, y2, 'r')


# establecer el área de trabajo
fig = plt.figure()
# marcas en los ejes X e Y
axs = plt.axes(xlim=(0, 360), ylim=(-1, 1))

# valores a trazar
x1, y1, y2 = [], [], []

# animar el gráfico
anim = FuncAnimation(fig, animate, 
                     frames=37, interval=300,
                     repeat=False)

# mostrar el gráfico
plt.show()

##file = r'c:\TestPython\matematicas\matplotlib\sine_wave_04_05.gif'
##writergif = PillowWriter(fps=30)
##anim.save(file, writer=writergif)
##plt.close()
