import matplotlib.pyplot as plt
from matplotlib.widgets import Slider
import math


# creación de los valores a visualizar
grados = [i for i in range (0, 361, 10)]
seno = [math.sin(math.radians(i)) for i in grados]

# establecer el área de trabajo
fig, ax = plt.subplots()
plt.subplots_adjust(bottom=0.25)

# dibujar el gráfico
linea, = plt.plot(grados, seno)

# ejes para los deslizadores de frecuencia y amplitud
axfreq = plt.axes([0.25, 0.15, 0.6, 0.03])
axampl = plt.axes([0.25, 0.1, 0.6, 0.03])

# crear deslizador frecuencias de 0.0 a 3.0
# valor inicial de 1.0 y pasos de 0.01
freq = Slider(axfreq, 'Frecuencia', 0.0, 3.0, valinit=1.0, valstep=0.01)

# crear deslizador de amplitud de 0.0 a 1.0
# valor inicial de 1.0 y pasos de 0.01
ampl = Slider(axampl, 'Amplitud', 0.0, 1.0, valinit=1.0, valstep=0.01)

# función a llamar cuando los deslizadores cambien
def update(val):
    # recibimos el valor del deslizador, pero como tenemos dos
    # tomamos los valores de ambos deslizadores
    f = freq.val
    a = ampl.val
    # recalcular los valores de la curva
    seno = [a * math.sin(math.radians(i) * f) for i in grados]
    # redibujar la curva
    linea.set_ydata(seno)

# establecer función a llamar cuando cambien los deslizadores
freq.on_changed(update)
ampl.on_changed(update)

# mostar el gráfico
plt.show()
