import matplotlib.pyplot as plt


# relación de valores a visualizar
# producción de trigo en millones de toneladas
paises = ['China', 'India', 'Rusia', 'EEUU', 'Canadá']
annum = [2019, 2020, 2021, 2022]
produccion =[[133.6, 103.59, 74.45, 52.58, 32.66],
             [134.25, 107.59, 85.89, 49.69, 35.18],
             [131.44, 99.70, 72.14, 51.29, 31.77],
             [138.00, 103.00, 91.00, 44.90, 33.82]] 

# coordenadas de las barras 
x = [1.5, 2.5, 3.5, 4.5, 5.5]*4
y = [0.5, 0.5, 0.5, 0.5, 0.5, 1.5, 1.5, 1.5, 1.5, 1.5,
     2.5, 2.5, 2.5, 2.5, 2.5, 3.5, 3.5, 3.5, 3.5, 3.5]
z = [0 for i in range(20)]

# anchura, profundidad y altura de las barras 
dx = [0.5 for i in range(20)]
dy = [0.5 for i in range(20)]
# aplanamos la matriz de producción
dz = [num for vector in produccion for num in vector]

# establecer colores
colores = ['r','g','b', 'm', 'y'] * 4

# crear trazado en tres dimensiones
ax = plt.axes(projection = "3d")

# dibujar los valores
ax.bar3d(x, y, z, dx, dy, dz, color=colores, alpha=0.8)

# establecer marcas en los ejes
ax.set_xticks([1,2,3,4,5])
ax.set_xticklabels(paises)
ax.set_yticks([1,2,3,4])
ax.set_yticklabels(annum)
 
# establecer etiquetas en los ejes
ax.set_xlabel('Paises', color='r')
ax.set_ylabel('Años', color='r')
ax.set_zlabel('Millones toneladas', color='r')

# establecer título 
ax.set_title('Producción de trigo', color='r')

# mostar el gráfico
plt.show()
